Skip to main content
POST
/
v1
/
endpoints
Create an endpoint (returns the one-time ingest URL)
curl --request POST \
  --url https://api.webhook.co/v1/endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "paused": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "ingestUrl": "<string>"
}

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Body

application/json
name
string
required
Required string length: 1 - 200

Response

Success.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
paused
boolean
required
createdAt
string<date-time>
required
ingestUrl
string<uri>
required